CollectionsDirect DebitAuthorizations

Cancel a Direct Debit Authorization

POST
/v1/direct-debit-authorizations/{id}/cancel

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Path Parameters

id*string

Header Parameters

Idempotency-Key?string

A unique value, eg. a UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

cancelReturnUrl*string

Payer will be redirected to this URL after they have cancelled the Direct Debit Authorisation at their bank's website. Conditionally required: not applicable for HK direct debit authorizations.

Match^[A-Za-z][A-Za-z0-9+\-\.]+:\/\/[^:\?\/]+(:[0-9]+)?((\/[^\/\?]*)*\/?(\?[^\?\/]*)?)?$
Length0 <= length <= 2048
country?string

Value in

  • "SG"
  • "MY"
  • "HK"
  • "KR"
  • "AU"
  • "US"
  • "ID"
  • "TW"
  • "BR"
  • "DK"
  • "PH"
  • "VN"
  • "AE"
  • "GB"
  • "IN"
  • "MX"
  • "CN"

Response Body

*/*

application/json

application/json

curl -X POST "https://example.com/v1/direct-debit-authorizations/string/cancel" \  -H "Content-Type: application/json" \  -d '{    "cancelReturnUrl": "string"  }'

Cancellation needs the payer to approve it. Redirect them to cancelUrl, and the status moves to CANCELED once their bank confirms.

{  "id": "dda_0J7Q6A3M8V5X1",  "billReferenceNumber": "A0012334455",  "payerSwiftBic": "DBSSSGSGXXX",  "payerBankCode": null,  "payerSegment": "RETAIL",  "payerName": "Richard Hendricks",  "payerBankAccountNumber": "0052312891",  "payerIdHash": "a3f0d8331c9d860aa685df22501d",  "payerIdType": "NRIC",  "status": "SUCCEEDED",  "failureReason": null,  "underlyingErrorMessage": null,  "startDate": "2026-09-09",  "precheckMinAmount": null,  "precheckMaxAmount": 100000,  "precheckCurrency": "SGD",  "maxAmount": 100000,  "maxAmountCurrency": "SGD",  "payerAuthorizedMaxAmount": 100000,  "endDate": "2042-04-24",  "authorizeUrl": null,  "cancelUrl": "https://api.tryacme.com/redirection/direct-debit-authorizations/dda_0J7Q6A3M8V5X1/cancel?key=0J7Q6B7QTZ4Y1N",  "returnUrl": "https://example.com/return",  "cancelReturnUrl": "https://example.com/cancel-return",  "transactionReference": "EG2026090900012345",  "createdAt": "2026-09-09T02:10:11.204118Z",  "updatedAt": "2026-09-12T08:30:19.284415Z"}